package com.seatel.mobilehall.ui.usage.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.usage.model.BilingDetailModel

interface BilingDetailListInteractor {
    interface View {
        fun responseBilingSucceed(notificationList: ArrayList<BilingDetailModel>)
        fun responseBilingFail(error: VolleyError)
        fun onLoadMore()
    }

    interface Presenter {
        fun onBilingDetailData(offset: Int)
    }

}